Package org.apache.tomcat.util.descriptor.web

## Class InjectionTarget

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.InjectionTarget

- All Implemented Interfaces:
    `Serializable`

      public class InjectionTarget
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InjectionTarget()` |
    `InjectionTarget​(String targetClass, String targetName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getTargetClass()` |
    `String` | `getTargetName()` |
    `void` | `setTargetClass​(String targetClass)` |
    `void` | `setTargetName​(String targetName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InjectionTarget

          public InjectionTarget()

    - #### InjectionTarget

          public InjectionTarget​(String targetClass,
                                 String targetName)

  - ### Method Detail

    - #### getTargetClass

          public String getTargetClass()

    - #### setTargetClass

          public void setTargetClass​(String targetClass)

    - #### getTargetName

          public String getTargetName()

    - #### setTargetName

          public void setTargetName​(String targetName)